★ TouchArcade needs your help. Click here to support us on Patreon.

iPhone: Well this is odd.

11-30-2008, 10:21 AM
#1
Joined: Nov 2008
Location: CANADIA
Posts: 443
Well this is odd.

I tried to download Mines by Noah Witherspoon, via the App store search option on the itpuch and it says "Not Compatable . This application is no compatible with the iPod". WTF?

Which ipod touch would it be compatable with --- I am at firmware 2.1.1 never jailbroken. go figure
11-30-2008, 10:26 AM
#2
Joined: Oct 2008
Location: Where the grass is green and the girls are pretty
Posts: 395
And that's weird because when you search for something on the itouch, it only displays the itouch compatible apps.

11-30-2008, 10:33 AM
#3
Joined: Oct 2008
Posts: 2,326
firmware

maybe you need the 2.2 firmaware?
cause it works on my ipod touch
11-30-2008, 10:39 AM
#4
Joined: Nov 2008
Location: CANADIA
Posts: 443
Does anyone have this working ---downloaded from the app store via the itouch ---- on a 2.1.1 firmware? I will try downloading it via itunes to see how that works.
11-30-2008, 10:47 AM
#5
Joined: Oct 2008
Posts: 2,326
m

Quote:
Originally Posted by parranoya View Post
Does anyone have this working ---downloaded from the app store via the itouch ---- on a 2.1.1 firmware? I will try downloading it via itunes to see how that works.
Why don't you get the 2,2 firmware first?
11-30-2008, 10:50 AM
#6
Joined: Nov 2008
Location: CANADIA
Posts: 443
darn tried the same thing via iTunes and got the same result. I guess this is the first game that I have tried to download that has the need of 2.2 firmware. Not so sure I want to make that jump just quite yet!
11-30-2008, 10:59 AM
#7
Joined: Oct 2008
Posts: 2,326
Quote:
Originally Posted by parranoya View Post
darn tried the same thing via iTunes and got the same result. I guess this is the first game that I have tried to download that has the need of 2.2 firmware. Not so sure I want to make that jump just quite yet!
If it isn't jailbroken you should have no problem with it (even though I had one, it got resolved anyways)
11-30-2008, 11:21 AM
#8
Joined: Nov 2008
Location: CANADIA
Posts: 443
Nope ---never jailbroken ---its the newer edition ----I am thinking of buying an older one ---just to jailbreak and play nes,snes and mame. I will keep the new one to play legit games.
11-30-2008, 11:33 AM
#9
Joined: Oct 2008
Posts: 2,326
Quote:
Originally Posted by parranoya View Post
Nope ---never jailbroken ---its the newer edition ----I am thinking of buying an older one ---just to jailbreak and play nes,snes and mame. I will keep the new one to play legit games.

why not wait till they create a jailbreak for the new touch?
11-30-2008, 11:46 AM
#10
Joined: Nov 2008
Location: CANADIA
Posts: 443
Quote:
Originally Posted by pablo19 View Post
why not wait till they create a jailbreak for the new touch?
I guess I would have to see if you could still purchase games on it. I am old enough and make enough money that I dont have to pirate all my games anymore---so I would like to keep that option open.

All the hackers are busy working on porting linux and jailbreaking the iphone not the touch anyway. I am not holding my breath